scala.collection.immutable

# Stack

#### object Stack extends SeqFactory[Stack] with Serializable

This object provides a set of operations to create ``immutable.Stack`` values.

Source
  Stack.scala

Linear Supertypes
Serializable, java.io.Serializable, SeqFactory[Stack], TraversableFactory[Stack], GenericSeqCompanion[Stack], GenSeqFactory[Stack], GenTraversableFactory[Stack], GenericCompanion[Stack], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Stack
2. Serializable
3. Serializable
4. SeqFactory
5. TraversableFactory
6. GenericSeqCompanion
7. GenSeqFactory
8. GenTraversableFactory
9. GenericCompanion
10. AnyRef
11. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = Stack[_]

   The underlying collection type with unknown element type

   The underlying collection type with unknown element type

   Attributes
     protected[this]
   Definition Classes
     GenericCompanion

2. #### class GenericCanBuildFrom[A] extends CanBuildFrom[CC[_], A, CC[A]]

   A generic implementation of the `CanBuildFrom` trait, which forwards all calls to `apply(from)` to the `genericBuilder` method of collection `from`, and which forwards all calls of `apply()` to the `newBuilder` method of this factory.

   A generic implementation of the `CanBuildFrom` trait, which forwards all calls to `apply(from)` to the `genericBuilder` method of collection `from`, and which forwards all calls of `apply()` to the `newBuilder` method of this factory.

   Definition Classes
     GenTraversableFactory

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def ReusableCBF: GenericCanBuildFrom[Nothing]

   Definition Classes
     GenTraversableFactory

5. #### def apply[A](elems: A*): Stack[A]

   Creates a collection with the specified elements.

   Creates a collection with the specified elements.

   A

     the type of the collection's elements

   elems

     the elements of the created collection

   returns

     a new collection with elements `elems`

   Definition Classes
     GenericCompanion

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### implicit def canBuildFrom[A]: CanBuildFrom[Coll, A, Stack[A]]

   The standard `CanBuildFrom` instance for `immutable.Stack` objects.

   The standard `CanBuildFrom` instance for `immutable.Stack` objects. The created value is an instance of class `GenericCanBuildFrom`, which forwards calls to create a new builder to the `genericBuilder` method of the requesting collection.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def concat[A](xss: collection.Traversable[A]*): Stack[A]

   Concatenates all argument collections into a single collection.

   Concatenates all argument collections into a single collection.

   xss

     the collections that are to be concatenated.

   returns

     the concatenation of all the collections.

   Definition Classes
     GenTraversableFactory

10. #### def empty[A]: Stack[A]

    An empty collection of type ``CC`[A]`

    An empty collection of type ``CC`[A]`

    A

      the type of the collection's elements

    Definition Classes
      GenericCompanion

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def fill[A](n1: Int, n2: Int, n3: Int, n4: Int, n5: Int)(elem: ⇒ A): Stack[Stack[Stack[Stack[Stack[A]]]]]

    Produces a five-dimensional collection containing the results of some element computation a number of times.

    Produces a five-dimensional collection containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    n5

      the number of elements in the 5th dimension

    elem

      the element computation

    returns

      A collection that contains the results of `n1 x n2 x n3 x n4 x n5` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

14. #### def fill[A](n1: Int, n2: Int, n3: Int, n4: Int)(elem: ⇒ A): Stack[Stack[Stack[Stack[A]]]]

    Produces a four-dimensional collection containing the results of some element computation a number of times.

    Produces a four-dimensional collection containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    elem

      the element computation

    returns

      A collection that contains the results of `n1 x n2 x n3 x n4` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

15. #### def fill[A](n1: Int, n2: Int, n3: Int)(elem: ⇒ A): Stack[Stack[Stack[A]]]

    Produces a three-dimensional collection containing the results of some element computation a number of times.

    Produces a three-dimensional collection containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    elem

      the element computation

    returns

      A collection that contains the results of `n1 x n2 x n3` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

16. #### def fill[A](n1: Int, n2: Int)(elem: ⇒ A): Stack[Stack[A]]

    Produces a two-dimensional collection containing the results of some element computation a number of times.

    Produces a two-dimensional collection containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    elem

      the element computation

    returns

      A collection that contains the results of `n1 x n2` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

17. #### def fill[A](n: Int)(elem: ⇒ A): Stack[A]

    Produces a collection containing the results of some element computation a number of times.

    Produces a collection containing the results of some element computation a number of times.

    n

      the number of elements contained in the collection.

    elem

      the element computation

    returns

      A collection that contains the results of `n` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def iterate[A](start: A, len: Int)(f: (A) ⇒ A): Stack[A]

    Produces a collection containing repeated applications of a function to a start value.

    Produces a collection containing repeated applications of a function to a start value.

    start

      the start value of the collection

    len

      the number of elements contained inthe collection

    f

      the function that's repeatedly applied

    returns

      a collection with `len` values in the sequence `start, f(start), f(f(start)), ...`

    Definition Classes
      GenTraversableFactory

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def newBuilder[A]: Builder[A, Stack[A]]

    The default builder for ``immutable.Stack`` objects.

    The default builder for ``immutable.Stack`` objects.

    A

      the type of the immutable stack's elements

    Definition Classes
      Stack → GenericCompanion

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def range[T](start: T, end: T, step: T)(implicit arg0: Integral[T]): Stack[T]

    Produces a collection containing equally spaced values in some integer interval.

    Produces a collection containing equally spaced values in some integer interval.

    start

      the start value of the collection

    end

      the end value of the collection (the first value NOT contained)

    step

      the difference between successive elements of the collection (must be positive or negative)

    returns

      a collection with values `start, start + step, ...` up to, but excluding `end`

    Definition Classes
      GenTraversableFactory

28. #### def range[T](start: T, end: T)(implicit arg0: Integral[T]): Stack[T]

    Produces a collection containing a sequence of increasing of integers.

    Produces a collection containing a sequence of increasing of integers.

    start

      the first element of the collection

    end

      the end value of the collection (the first value NOT contained)

    returns

      a collection with values `start, start + 1, ..., end - 1`

    Definition Classes
      GenTraversableFactory

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def tabulate[A](n1: Int, n2: Int, n3: Int, n4: Int, n5: Int)(f: (Int, Int, Int, Int, Int) ⇒ A): Stack[Stack[Stack[Stack[Stack[A]]]]]

    Produces a five-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    Produces a five-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    n5

      the number of elements in the 5th dimension

    f

      The function computing element values

    returns

      A collection consisting of elements `f(i1, i2, i3, i4, i5)` for `0 <= i1 < n1`, `0 <= i2 < n2`, `0 <= i3 < n3`, `0 <= i4 < n4`, and `0 <= i5 < n5`.

    Definition Classes
      GenTraversableFactory

31. #### def tabulate[A](n1: Int, n2: Int, n3: Int, n4: Int)(f: (Int, Int, Int, Int) ⇒ A): Stack[Stack[Stack[Stack[A]]]]

    Produces a four-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    Produces a four-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    f

      The function computing element values

    returns

      A collection consisting of elements `f(i1, i2, i3, i4)` for `0 <= i1 < n1`, `0 <= i2 < n2`, `0 <= i3 < n3`, and `0 <= i4 < n4`.

    Definition Classes
      GenTraversableFactory

32. #### def tabulate[A](n1: Int, n2: Int, n3: Int)(f: (Int, Int, Int) ⇒ A): Stack[Stack[Stack[A]]]

    Produces a three-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    Produces a three-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    f

      The function computing element values

    returns

      A collection consisting of elements `f(i1, i2, i3)` for `0 <= i1 < n1`, `0 <= i2 < n2`, and `0 <= i3 < n3`.

    Definition Classes
      GenTraversableFactory

33. #### def tabulate[A](n1: Int, n2: Int)(f: (Int, Int) ⇒ A): Stack[Stack[A]]

    Produces a two-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    Produces a two-dimensional collection containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    f

      The function computing element values

    returns

      A collection consisting of elements `f(i1, i2)` for `0 <= i1 < n1` and `0 <= i2 < n2`.

    Definition Classes
      GenTraversableFactory

34. #### def tabulate[A](n: Int)(f: (Int) ⇒ A): Stack[A]

    Produces a collection containing values of a given function over a range of integer values starting from 0.

    Produces a collection containing values of a given function over a range of integer values starting from 0.

    n

      The number of elements in the collection

    f

      The function computing element values

    returns

      A collection consisting of elements `f(0), ..., f(n -1)`

    Definition Classes
      GenTraversableFactory

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### def unapplySeq[A](x: Stack[A]): Some[Stack[A]]

    This method is called in a pattern match { case Seq(...) => }.

    This method is called in a pattern match { case Seq(...) => }.

    x

      the selector value

    returns

      sequence wrapped in an option, if this is a Seq, otherwise none

    Definition Classes
      SeqFactory

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from SeqFactory[Stack]

### Inherited from TraversableFactory[Stack]

### Inherited from GenericSeqCompanion[Stack]

### Inherited from GenSeqFactory[Stack]

### Inherited from GenTraversableFactory[Stack]

### Inherited from GenericCompanion[Stack]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped